Upload a file
curl --request POST \
--url https://api.ctrl-hub.com/v3/uploads \
--header 'Content-Type: multipart/form-data' \
--header 'X-Session-Token: <api-key>' \
--form content='@example-file'import requests
url = "https://api.ctrl-hub.com/v3/uploads"
files = { "content": ("example-file", open("example-file", "rb")) }
headers = {"X-Session-Token": "<api-key>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('content', '<string>');
const options = {method: 'POST', headers: {'X-Session-Token': '<api-key>'}};
options.body = form;
fetch('https://api.ctrl-hub.com/v3/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"checksum": "<string>",
"size": 123,
"content_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
}
},
"jsonapi": {
"version": "<string>"
}
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Uploads
Upload a file
Stage one of the two-stage binary ingest. Upload a file as multipart binary; the response returns an upload_id which can be exchanged for a resource (for example POST /v3/videos). Uploads are transient and expire after one hour. The maximum upload size is 100MB.
POST
/
v3
/
uploads
Upload a file
Authorizations
SessionOAuth2Cookie
Session token for authentication.
Body
multipart/form-data
The file to upload as multipart binary.
⌘I